Description: Loosen dependencies for gems
Author: Markus Frosch <lazyfrosch@debian.org>
Reviewed-by: Georg Faerber <georg@riseup.net>
Last-Update: 2020-02-05
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
Index: ruby-gettext-setup/gettext-setup.gemspec
===================================================================
--- ruby-gettext-setup.orig/gettext-setup.gemspec	2020-02-05 17:43:50.084451834 +0000
+++ ruby-gettext-setup/gettext-setup.gemspec	2020-02-05 17:44:31.892969345 +0000
@@ -27,8 +27,8 @@
 
     if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
       s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
-      s.add_runtime_dependency(%q<fast_gettext>.freeze, ["~> 1.1.0"])
-      s.add_runtime_dependency(%q<gettext>.freeze, ["< 3.3.0", ">= 3.0.2"])
+      s.add_runtime_dependency(%q<fast_gettext>.freeze, [">= 1.1.0"])
+      s.add_runtime_dependency(%q<gettext>.freeze, [">= 3.0.2"])
       s.add_runtime_dependency(%q<locale>.freeze, [">= 0"])
       s.add_development_dependency(%q<rake>.freeze, [">= 0"])
       s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
@@ -39,8 +39,8 @@
       s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
     else
       s.add_dependency(%q<bundler>.freeze, [">= 0"])
-      s.add_dependency(%q<fast_gettext>.freeze, ["~> 1.1.0"])
-      s.add_dependency(%q<gettext>.freeze, ["< 3.3.0", ">= 3.0.2"])
+      s.add_dependency(%q<fast_gettext>.freeze, [">= 1.1.0"])
+      s.add_dependency(%q<gettext>.freeze, [">= 3.0.2"])
       s.add_dependency(%q<locale>.freeze, [">= 0"])
       s.add_dependency(%q<rake>.freeze, [">= 0"])
       s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
@@ -52,8 +52,8 @@
     end
   else
     s.add_dependency(%q<bundler>.freeze, [">= 0"])
-    s.add_dependency(%q<fast_gettext>.freeze, ["~> 1.1.0"])
-    s.add_dependency(%q<gettext>.freeze, ["< 3.3.0", ">= 3.0.2"])
+    s.add_dependency(%q<fast_gettext>.freeze, [">= 1.1.0"])
+    s.add_dependency(%q<gettext>.freeze, [">= 3.0.2"])
     s.add_dependency(%q<locale>.freeze, [">= 0"])
     s.add_dependency(%q<rake>.freeze, [">= 0"])
     s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
